Index: trunk/lib/FlairCore/src/AhrsData.h
===================================================================
--- trunk/lib/FlairCore/src/AhrsData.h	(revision 2)
+++ trunk/lib/FlairCore/src/AhrsData.h	(revision 15)
@@ -18,158 +18,172 @@
 #include <Quaternion.h>
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
-    /*! \class AhrsData
-    *
-    * \brief Class defining AHRS datas
-    *
-    * AHRS datas consist of quaternion and rotational angles values. \n
-    *
-    */
-    class AhrsData: public io_data {
-        public:
-            class Type: public DataType {
-            public:
-                Type(const ScalarType &inElementDataType):
-                    elementDataType(inElementDataType) {}
-                const ScalarType  &GetElementDataType() const {return elementDataType;}
-                std::string GetDescription() const {return "ahrs data";}
-                size_t GetSize() const {
-                    return 7*elementDataType.GetSize();
-                }
-            private:
-                const ScalarType &elementDataType;
-            };
+/*! \class AhrsData
+*
+* \brief Class defining AHRS datas
+*
+* AHRS datas consist of quaternion and rotational angles values. \n
+*
+*/
+class AhrsData : public io_data {
+public:
+  class Type : public DataType {
+  public:
+    Type(const ScalarType &inElementDataType)
+        : elementDataType(inElementDataType) {}
+    const ScalarType &GetElementDataType() const { return elementDataType; }
+    std::string GetDescription() const { return "ahrs data"; }
+    size_t GetSize() const { return 7 * elementDataType.GetSize(); }
 
-            /*!
-            \enum PlotableData_t
-            \brief Datas wich can be plotted in a DataPlot1D
-            */
-            typedef enum {
-                Roll/*! roll */, Pitch/*! pitch */, Yaw/*! yaw */,
-                RollDeg/*! roll degree*/, PitchDeg/*! pitch degree */, YawDeg/*! yaw degree */,
-                Q0/*! quaternion 0 */, Q1/*! quaternion 1 */, Q2/*! quaternion 2 */, Q3/*! quaternion 3 */,
-                Wx/*! x filtered angular rate */, Wy/*! y filtered angular rate */, Wz/*! z filtered angular rate */,
-                WxDeg/*! x filtered angular rate degree*/, WyDeg/*! y filtered angular rate degree*/, WzDeg/*! z filtered angular rate degree*/,
-                } PlotableData_t;
+  private:
+    const ScalarType &elementDataType;
+  };
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct an io_data representing AHRS datas. \n
-            *
-            * \param parent parent
-            * \param name name
-            * \param n number of samples
-            */
-            AhrsData(const Object* parent,std::string name="",int n=1);
+  /*!
+  \enum PlotableData_t
+  \brief Datas wich can be plotted in a DataPlot1D
+  */
+  typedef enum {
+    Roll /*! roll */,
+    Pitch /*! pitch */,
+    Yaw /*! yaw */,
+    RollDeg /*! roll degree*/,
+    PitchDeg /*! pitch degree */,
+    YawDeg /*! yaw degree */,
+    Q0 /*! quaternion 0 */,
+    Q1 /*! quaternion 1 */,
+    Q2 /*! quaternion 2 */,
+    Q3 /*! quaternion 3 */,
+    Wx /*! x filtered angular rate */,
+    Wy /*! y filtered angular rate */,
+    Wz /*! z filtered angular rate */,
+    WxDeg /*! x filtered angular rate degree*/,
+    WyDeg /*! y filtered angular rate degree*/,
+    WzDeg /*! z filtered angular rate degree*/,
+  } PlotableData_t;
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~AhrsData();
+  /*!
+  * \brief Constructor
+  *
+  * Construct an io_data representing AHRS datas. \n
+  *
+  * \param parent parent
+  * \param name name
+  * \param n number of samples
+  */
+  AhrsData(const Object *parent, std::string name = "", int n = 1);
 
-            /*!
-            * \brief Element
-            *
-            * Get a pointer to a specific element. This pointer can be used for plotting.
-            *
-            * \param plotableData data type
-            *
-            * \return pointer to the element
-            */
-            IODataElement *Element(PlotableData_t plotableData) const;
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~AhrsData();
 
-            /*!
-            * \brief Set quaternion
-            *
-            * This method is mutex protected.
-            *
-            * \param quaternion quaternion
-            *
-            */
-            void SetQuaternion(const Quaternion &quaternion);
+  /*!
+  * \brief Element
+  *
+  * Get a pointer to a specific element. This pointer can be used for plotting.
+  *
+  * \param plotableData data type
+  *
+  * \return pointer to the element
+  */
+  IODataElement *Element(PlotableData_t plotableData) const;
 
-            /*!
-            * \brief Get quaternion
-            *
-            * This method is mutex protected.
-            *
-            * \return quaternion
-            *
-            */
-            Quaternion GetQuaternion(void) const;
+  /*!
+  * \brief Set quaternion
+  *
+  * This method is mutex protected.
+  *
+  * \param quaternion quaternion
+  *
+  */
+  void SetQuaternion(const Quaternion &quaternion);
 
-            /*!
-            * \brief Set angular rates
-            *
-            * This method is mutex protected.
-            *
-            * \param angularRates angular rates
-            *
-            */
-            void SetAngularRates(const Vector3D &angularRates);
+  /*!
+  * \brief Get quaternion
+  *
+  * This method is mutex protected.
+  *
+  * \return quaternion
+  *
+  */
+  Quaternion GetQuaternion(void) const;
 
-            /*!
-            * \brief Get angular rates
-            *
-            * This method is mutex protected.
-            *
-            * \return angular rates
-            *
-            */
-            Vector3D GetAngularRates(void) const;
+  /*!
+  * \brief Set angular rates
+  *
+  * This method is mutex protected.
+  *
+  * \param angularRates angular rates
+  *
+  */
+  void SetAngularRates(const Vector3D &angularRates);
 
-            /*!
-            * \brief Get both quaternion and angular rates
-            *
-            * This method is mutex protected.
-            *
-            * \param quaternion quaternion
-            * \param angularRates angular rates
-            *
-            */
-            void GetQuaternionAndAngularRates(Quaternion &quaternion,Vector3D &angularRates) const;
+  /*!
+  * \brief Get angular rates
+  *
+  * This method is mutex protected.
+  *
+  * \return angular rates
+  *
+  */
+  Vector3D GetAngularRates(void) const;
 
-            /*!
-            * \brief Set both quaternion and angular rates
-            *
-            * This method is mutex protected.
-            *
-            * \param quaternion quaternion
-            * \param angularRates angular rates
-            *
-            */
-            void SetQuaternionAndAngularRates(const Quaternion &quaternion,const Vector3D &angularRates);
+  /*!
+  * \brief Get both quaternion and angular rates
+  *
+  * This method is mutex protected.
+  *
+  * \param quaternion quaternion
+  * \param angularRates angular rates
+  *
+  */
+  void GetQuaternionAndAngularRates(Quaternion &quaternion,
+                                    Vector3D &angularRates) const;
 
-            const Type &GetDataType() const {return dataType;}
-        private:
-            /*!
-            * \brief Copy datas
-            *
-            * Reimplemented from io_data. \n
-            * See io_data::CopyDatas.
-            *
-            * \param dst destination buffer
-            */
-            void CopyDatas(char *dst) const;
+  /*!
+  * \brief Set both quaternion and angular rates
+  *
+  * This method is mutex protected.
+  *
+  * \param quaternion quaternion
+  * \param angularRates angular rates
+  *
+  */
+  void SetQuaternionAndAngularRates(const Quaternion &quaternion,
+                                    const Vector3D &angularRates);
 
-            void Queue(char **dst,const void *src,size_t size) const;
+  const Type &GetDataType() const { return dataType; }
 
-            /*!
-            * \brief %Quaternion
-            *
-            */
-            Quaternion quaternion;
+private:
+  /*!
+  * \brief Copy datas
+  *
+  * Reimplemented from io_data. \n
+  * See io_data::CopyDatas.
+  *
+  * \param dst destination buffer
+  */
+  void CopyDatas(char *dst) const;
 
-            /*!
-            * \brief Angular rates
-            *
-            */
-            Vector3D angularRates;
+  void Queue(char **dst, const void *src, size_t size) const;
 
-            Type dataType;
-    };
+  /*!
+  * \brief %Quaternion
+  *
+  */
+  Quaternion quaternion;
+
+  /*!
+  * \brief Angular rates
+  *
+  */
+  Vector3D angularRates;
+
+  Type dataType;
+};
 
 } // end namespace core
